GreatWksTextInternal::Zone Struct Reference documentation

GreatWksTextInternal::Zone Struct Reference

Internal and low level: structure which stores a text zone header for GreatWksText. More...

## Public Member Functions
| Zone ()
| constructor
bool | isMain () const
| returns true if this is the main zone
bool | ok () const
| check if the data read are or not ok
long | size () const
| returns the data size
bool | hasGraphics () const
| returns true if the data has graphic

## Public Attributes
int | m_type
| the main type: 1=auxi, 3=main
int | m_numFonts
| the number of fonts
int | m_numRulers
| the number of rulers
int | m_numLines
| the number of lines
int | m_numTokens
| the number of token
long | m_numChar
| the number of character
int | m_numCharPLC
| the number of char plc
int | m_numFrames
| the number of frames (ie. one by column and one by pages )
std::vector< MWAWFont > | m_fontList
| the list of font
std::vector< MWAWParagraph > | m_rulerList
| the list of ruler
std::vector< Token > | m_tokenList
| the list of token
std::vector< Frame > | m_frameList
| the list of frame token
MWAWEntry | m_textEntry
| the text entry list
std::multimap< long, PLC > | m_posPLCMap
| a map text pos -> PLC
bool | m_parsed
| a bool to know if the data are send to the listener
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &fr)
| operator<<

## Detailed Description

Internal and low level: structure which stores a text zone header for GreatWksText.

## Constructor & Destructor Documentation

## ◆ Zone()

GreatWksTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ hasGraphics()

bool GreatWksTextInternal::Zone::hasGraphics | ( |  | ) | const
| inline

returns true if the data has graphic

Referenced by GreatWksText::canSendTextBoxAsGraphic().

## ◆ isMain()

bool GreatWksTextInternal::Zone::isMain | ( |  | ) | const
| inline

returns true if this is the main zone

Referenced by GreatWksText::createZones(), and GreatWksText::sendZone().

## ◆ ok()

bool GreatWksTextInternal::Zone::ok | ( |  | ) | const
| inline

check if the data read are or not ok

Referenced by GreatWksText::readZone().

## ◆ size()

long GreatWksTextInternal::Zone::size | ( |  | ) | const
| inline

returns the data size

Referenced by GreatWksText::readZone().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | fr )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string GreatWksTextInternal::Zone::m_extra

extra data

Referenced by operator<<, GreatWksText::readZone(), and Zone().

## ◆ m_fontList

std::vector<MWAWFont> GreatWksTextInternal::Zone::m_fontList

the list of font

Referenced by GreatWksText::readZone(), GreatWksText::sendZone(), and Zone().

## ◆ m_frameList

std::vector<Frame> GreatWksTextInternal::Zone::m_frameList

the list of frame token

Referenced by GreatWksText::readZonePositions(), and Zone().

## ◆ m_numChar

long GreatWksTextInternal::Zone::m_numChar

the number of character

Referenced by ok(), operator<<, GreatWksText::readZone(), size(), and Zone().

## ◆ m_numCharPLC

int GreatWksTextInternal::Zone::m_numCharPLC

the number of char plc

Referenced by ok(), operator<<, GreatWksText::readZone(), size(), and Zone().

## ◆ m_numFonts

int GreatWksTextInternal::Zone::m_numFonts

the number of fonts

Referenced by ok(), operator<<, GreatWksText::readZone(), size(), and Zone().

## ◆ m_numFrames

int GreatWksTextInternal::Zone::m_numFrames

the number of frames (ie. one by column and one by pages )

Referenced by ok(), operator<<, GreatWksText::readZone(), GreatWksText::readZonePositions(), size(), and Zone().

## ◆ m_numLines

int GreatWksTextInternal::Zone::m_numLines

the number of lines

Referenced by ok(), operator<<, GreatWksText::readZone(), GreatWksText::readZonePositions(), size(), and Zone().

## ◆ m_numRulers

int GreatWksTextInternal::Zone::m_numRulers

the number of rulers

Referenced by ok(), operator<<, GreatWksText::readZone(), size(), and Zone().

## ◆ m_numTokens

int GreatWksTextInternal::Zone::m_numTokens

the number of token

Referenced by ok(), operator<<, GreatWksText::readZone(), size(), and Zone().

## ◆ m_parsed

bool GreatWksTextInternal::Zone::m_parsed
| mutable

a bool to know if the data are send to the listener

Referenced by GreatWksText::sendZone(), and Zone().

## ◆ m_posPLCMap

std::multimap<long, PLC> GreatWksTextInternal::Zone::m_posPLCMap

a map text pos -> PLC

Referenced by GreatWksText::readZone(), GreatWksText::readZonePositions(), GreatWksText::sendZone(), and Zone().

## ◆ m_rulerList

std::vector<MWAWParagraph> GreatWksTextInternal::Zone::m_rulerList

the list of ruler

Referenced by GreatWksText::readZone(), GreatWksText::sendZone(), and Zone().

## ◆ m_textEntry

MWAWEntry GreatWksTextInternal::Zone::m_textEntry

the text entry list

Referenced by GreatWksText::readZone(), GreatWksText::sendZone(), and Zone().

## ◆ m_tokenList

std::vector<Token> GreatWksTextInternal::Zone::m_tokenList

the list of token

Referenced by hasGraphics(), GreatWksText::readZone(), GreatWksText::sendZone(), and Zone().

## ◆ m_type

int GreatWksTextInternal::Zone::m_type

the main type: 1=auxi, 3=main

Referenced by isMain(), ok(), operator<<, GreatWksText::readZone(), and Zone().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx